| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros
OgreShaderExPerPixelLighting.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreShaderSubRenderState.h"`
`#include "OgreLight.h"`
`#include "OgreCommon.h"`

## Classes
class | Ogre::RTShader::PerPixelLighting
| Per pixel Lighting extension sub render state implementation. More...
class | Ogre::RTShader::PerPixelLightingFactory
| A factory that enables creation of PerPixelLighting instances. More...

## Namespaces
| Ogre
| Ogre::RTShader

## Macros
#define | SGX_FUNC_LIGHT_DIRECTIONAL_DIFFUSE "SGX_Light_Directional_Diffuse"
#define | SGX_FUNC_LIGHT_DIRECTIONAL_DIFFUSESPECULAR "SGX_Light_Directional_DiffuseSpecular"
#define | SGX_FUNC_LIGHT_POINT_DIFFUSE "SGX_Light_Point_Diffuse"
#define | SGX_FUNC_LIGHT_POINT_DIFFUSESPECULAR "SGX_Light_Point_DiffuseSpecular"
#define | SGX_FUNC_LIGHT_SPOT_DIFFUSE "SGX_Light_Spot_Diffuse"
#define | SGX_FUNC_LIGHT_SPOT_DIFFUSESPECULAR "SGX_Light_Spot_DiffuseSpecular"
#define | SGX_FUNC_TRANSFORMNORMAL "SGX_TransformNormal"
#define | SGX_FUNC_TRANSFORMPOSITION "SGX_TransformPosition"
#define | SGX_LIB_PERPIXELLIGHTING "SGXLib_PerPixelLighting"